Bug 476965 - prefdm tests DISPLAYMANAGER for KDE, but sysconfig/desktop uses KDM
prefdm tests DISPLAYMANAGER for KDE, but sysconfig/desktop uses KDM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 06:05 EST by Michal Hlavinka
Modified: 2008-12-23 18:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-23 18:49:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2008-12-18 06:05:56 EST
Description of problem:
After installation, /etc/sysconfig/desktop contains two lines:

DESKTOP="KDE"
DISPLAYMANAGER="KDM"

but /etc/X11/prefdm test DISPLAYMANAGER variable for KDE (and not KDM)

        elif [ "$DISPLAYMANAGER" = KDE ]; then
                preferred=/usr/bin/kdm


Version-Release number of selected component (if applicable):


How reproducible:
allways

Steps to Reproduce:
1. install fedora
2.
3.
  
Actual results:
prefdm's check for KDE/KDM is useless

Expected results:
prefdm's check works

Additional info:
Comment 1 Bill Nottingham 2008-12-18 10:49:26 EST
Whatever wrote DISPLAYMANAGER wrote it wrong; prefdm's been this way forever.
Comment 2 Rex Dieter 2008-12-22 09:25:03 EST
arg, on my f10 box I see offenders:
fedora-livecd-education-math.ks
fedora-livecd-kde.ks
doh!
Comment 3 Rex Dieter 2008-12-22 09:36:35 EST
fixed in spin-kickstarts upstream git repo.

I'll leave bug resolution to kanarip to decide (closed->upstream, issue update, etc...)
Comment 4 Jeroen van Meeuwen 2008-12-23 18:49:09 EST
This will be in the next update to the spin-kickstarts package on F-10.
Comment 5 Jeroen van Meeuwen 2008-12-23 18:50:43 EST
cherry-picked 7f2b258f84225996cd6016ef52be1c90afc246bb to the F-10 branch

Note You need to log in before you can comment on or make changes to this bug.